local points_win = 5

Player = class {
	points = 0
}

local font_size = 128
local width = font_size * 2
local font

Player[class.init] = function (self, x, y)
	self.x = x
	self.y = y
	font = font or love.graphics.newFont(font_size)
end


function Player:score()
	self.points = self.points + 1
	if self.points >= points_win then
		return true
	end
end


function Player:draw()
	love.graphics.setFont(font)
	love.graphics.setColor(64, 64, 64)
	love.graphics.printf(self.points, self.x - width/2, self.y - font_size/2, width, 'center')
end


return Player


-- vim: ts=4 sw=4 si
